Subject: Re: [PATCH net-2.6.26 4/10][VLAN]: Introduce the vlan_net structure and init/exit net ops.

From: Pavel Emelyanov <[email-masked]>
Date: Tue, 15 Apr 2008 16:50:20 +0400

Patrick McHardy wrote:
> Pavel Emelyanov wrote:
>> @@ -632,6 +670,10 @@ static int __init vlan_proto_init(void)
>>  	pr_info("%s v%s %s\n", vlan_fullname, vlan_version, vlan_copyright);
>>  	pr_info("All bugs added by %s\n", vlan_buggyright);
>>  
>> +	err = register_pernet_gen_device(&vlan_net_id, &vlan_net_ops);
>> +	if (err < 0)
>> +		goto err0;
> 
> I'm wondering what vlan_net_id is used for, but I can't find that
> function in the current net-2.6.26.git tree. What tree are these
> patches based on?
> 

They are for net-2.6.26 with this
http://marc.info/?l=linux-netdev&m=120799367318572&w=2
and this
http://marc.info/?l=linux-netdev&m=120799357618440&w=2
patches.

David said the he accepted them both and agreed that I send
other work based on them.

Thanks,
Pavel